%define enable_japanese 1

# Note that this is NOT a relocatable package
%define ver      1.2.0
%define prefix   /usr

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: %ver
Release: 5j1
Epoch:   1
Copyright: GPL
Group: Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{ver}.tar.gz
# Japanese message catalog
Source10: gnome-pim-ja.po
# Japanese patch
Patch: gnome-pim-1.2.0-fontset.patch
BuildRoot: /var/tmp/gnome-pim-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package devel
Summary: GNOME PIM development files
Group: Development/Libraries
Requires: gnome-pim

%description devel
Files needed to develop apps which interact with gnome-pim applications
via CORBA.

%changelog
* Wed Sep 12 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- update Epoch.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- don't define docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- %%makeinstall

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- use %%configure (ia64)

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.91; remove prefix/lib/* from devel package

* Fri Sep 17 1999 Elliot Lee <sopwith@redhat.com>
- vresion 1.0.10

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- official 1.0.9 release

* Mon Jul 19 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.9 test version

* Fri May 28 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.8

* Fri Apr 9 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.7

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release

%prep
%setup -q
%if %{enable_japanese}
%patch -p1 -b .fontset
cp %{SOURCE10} po/ja.po
%endif

%build

%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

# make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install
%makeinstall

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%config /etc/CORBA/*
%{prefix}/share/gnome/*
%{prefix}/share/locale/*
%{prefix}/share/mime-info/*

%files devel
%defattr(-, root, root)

%{prefix}/share/idl
